Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Public Member Functions | List of all members
ranges::views::remove_base_fn Struct Reference
Inheritance diagram for ranges::views::remove_base_fn:

## Public Member Functions
template<typename Rng , typename Value > requires move_constructible<Value> && viewable_range<Rng> && input_range<Rng> && indirectly_comparable<iterator_t<Rng>, Value const *, equal_to>
constexpr auto | operator() (Rng &&rng, Value value) const
template<typename Rng , typename Value , typename Proj > requires move_constructible<Value> && viewable_range<Rng> && input_range<Rng> && indirectly_comparable<iterator_t<Rng>, Value const *, equal_to, Proj>
constexpr auto | operator() (Rng &&rng, Value value, Proj proj) const